Clustering.Serializer (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db

## Class Clustering.Serializer

- java.lang.Object
- - org.apache.cassandra.db.Clustering.Serializer

- Enclosing interface:
    Clustering

      public static class Clustering.Serializer
      extends java.lang.Object

  Serializer for Clustering object.

  Because every clustering in a given table must have the same size (ant that size cannot actually change once the table has been defined), we don't record that size.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Serializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Clustering` | `deserialize(java.nio.ByteBuffer in, int version, java.util.List<AbstractType<?>> types)`
    `Clustering` | `deserialize(DataInputPlus in, int version, java.util.List<AbstractType<?>> types)`
    `void` | `serialize(Clustering clustering, DataOutputPlus out, int version, java.util.List<AbstractType<?>> types)`
    `java.nio.ByteBuffer` | `serialize(Clustering clustering, int version, java.util.List<AbstractType<?>> types)`
    `long` | `serializedSize(Clustering clustering, int version, java.util.List<AbstractType<?>> types)`
    `void` | `skip(DataInputPlus in, int version, java.util.List<AbstractType<?>> types)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Serializer

          public Serializer()

  - ### Method Detail

    - #### serialize

          public void serialize(Clustering clustering,
                                DataOutputPlus out,
                                int version,
                                java.util.List<AbstractType<?>> types)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### serialize

          public java.nio.ByteBuffer serialize(Clustering clustering,
                                               int version,
                                               java.util.List<AbstractType<?>> types)

    - #### serializedSize

          public long serializedSize(Clustering clustering,
                                     int version,
                                     java.util.List<AbstractType<?>> types)

    - #### skip

          public void skip(DataInputPlus in,
                           int version,
                           java.util.List<AbstractType<?>> types)
                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### deserialize

          public Clustering deserialize(DataInputPlus in,
                                        int version,
                                        java.util.List<AbstractType<?>> types)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### deserialize

          public Clustering deserialize(java.nio.ByteBuffer in,
                                        int version,
                                        java.util.List<AbstractType<?>> types)

Copyright © 2018 The Apache Software Foundation